{% extends 'base.html' %}
{% from 'bootstrap/form.html' import render_field %}
{% from 'macros.html' import delete_button %}
{% from 'macros.html' import to_badge %}
{% block content %}
{% if servers %}
<div class="card-columns">
  {% for server in servers %}
  <div class="card">
    <div class="card-header">
      {{server.name}}
      {%- if server.running %}
      <span class="badge badge-success">Running</span>
      {%-else %}
      <span class="badge badge-danger">Not running</span>
      {%-endif-%}
    </div>
    <div class="card-body">
      <ul class="list-group list-group-flush">
        <li class="list-group-item">Protocol {{to_badge(server.protocol)}}</span></li>
        <li class="list-group-item">Content
        {% for content_provider in server.content %}
        {{to_badge(content_provider)}}
        {% endfor %}
        </li>
        <li class="list-group-item">
          <div class="btn-toolbar justify-content-between">
            <div>
              <a href="{{ url_for('servers.detail', id=server.id) }}" class="btn btn-sm btn-info">Details</a>
              {% if server.running %}
              <a href="{{ url_for('servers.stop', id=server.id, next=request.path) }}" class="btn btn-sm btn-warning">Stop</a>
              {% else %}
              <a href="{{ url_for('servers.start', id=server.id, next=request.path) }}" class="btn btn-sm btn-success">Start</a>
              {% endif %}
            </div>
            {{ delete_button(url_for('servers.delete', id=server.id, next=request.path), server.name) }}
          </div>
        </li>
      </ul>
    </div>
    <div class="card-footer">
      <small class="text-muted" data-toggle="tooltip" data-placement="bottom" title="{{server.created}}">Created {{momentjs(server.created).fromNow() }}</small>
    </div>
  </div>
  {% endfor %}
</div>
{% else %}
<section class="jumbotron text-center" style='background-color: #00000000'>
  <div class="container">
    <h1 class="jumbotron-heading">No servers here yet</h1>
    <p class="lead text-muted">Use the sidebar or the button below to create new servers...</p>
    <p>
      <a href="{{url_for('servers.create')}}" class="btn btn-primary my-2">Create Server</a>
    </p>
  </div>
</section>
{% endif %}
{% endblock %}
